macroScript CoronaGamma category:"ecXimer" toolTip:"Corona Gamma" buttontext:"CG"
(
	on isEnabled return 
		classof renderers.current==coronarenderer
	on execute do (
	global gammaRout
	try destroydialog gammaRout catch()
	rollout gammaRout "gamma:"
	(
		button btn1 "1.0" across:3
		button btn2 "1.4"
		button btn3 "1.6"
		button btn4 "1.8" across:3
		button btn5 "2.0"
		button btn6 "2.2"
		spinner gamma "custom: " range:[0,3,2.2] type:#float scale:0.01
		label lbl1 "2.2 = default"
		label lbl2 " ecXimer, 2015"
		fn setGamma val = (
			renderers.current.colormap_additionalGamma = -2.2+val
			gamma.value = val
		)
		on gammaRout open do
			(gamma.value = 2.2+renderers.current.colormap_additionalGamma)
		on gamma changed val do
			(renderers.current.colormap_additionalGamma = -2.2+val)
		on btn1 pressed do (
			setGamma 1.0
		)
		on btn2 pressed do (
			setGamma 1.4
		)
		on btn3 pressed do (
			setGamma 1.6
		)
		on btn4 pressed do (
			setGamma 1.8
		)
		on btn5 pressed do (
			setGamma 2.0
		)
		on btn6 pressed do (
			setGamma 2.2
		)
	)
	createdialog gammaRout
)
)